Upgrade

Get information about the upgrade configuration in use by the Octopus Server

GET /api/upgradeconfiguration

Response

200 — The current upgrade configuration

  • AllowChecking boolean
    Whether to check octopus.com to see if a new version is available.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludeStatistics boolean
    Deprecated: please use the [dedicated telemetry page](“ + OctoLink.BaseAddress + “telemetry) to determine whether octopus sends usage statistics. See [our documentation](” + OctoLink.BaseAddress + “WhatIsIncludedInUsageStatistics) for information about what is included.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NotificationMode enum
    Controls which notifications are shown in the portal when an upgrade is available.
    Allowed values: AlwaysShow, ShowOnlyMajorMinor, NeverShow.

Example Response

JSON
{
  "AllowChecking": true,
  "Id": "string",
  "IncludeStatistics": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NotificationMode": "AlwaysShow"
}

Update the upgrade configuration used by the Octopus Server

PUT /api/upgradeconfiguration

Request Body

  • AllowChecking boolean (required)
    Whether to check octopus.com to see if a new version is available.
  • IncludeStatistics boolean (required)
    Deprecated: please use the dedicated telemetry page to determine whether octopus sends usage statistics. See our documentation for information about what is included.
  • NotificationMode enum (required)
    Controls which notifications are shown in the portal when an upgrade is available.
    Allowed values: AlwaysShow, ShowOnlyMajorMinor, NeverShow.

Response

200 — The updated upgrade configuration

  • AllowChecking boolean
    Whether to check octopus.com to see if a new version is available.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludeStatistics boolean
    Deprecated: please use the [dedicated telemetry page](“ + OctoLink.BaseAddress + “telemetry) to determine whether octopus sends usage statistics. See [our documentation](” + OctoLink.BaseAddress + “WhatIsIncludedInUsageStatistics) for information about what is included.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NotificationMode enum
    Controls which notifications are shown in the portal when an upgrade is available.
    Allowed values: AlwaysShow, ShowOnlyMajorMinor, NeverShow.

Example Request

JSON
{
  "AllowChecking": true,
  "IncludeStatistics": true,
  "NotificationMode": "AlwaysShow"
}

Example Response

JSON
{
  "AllowChecking": true,
  "Id": "string",
  "IncludeStatistics": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NotificationMode": "AlwaysShow"
}